<?php
if (!isset($_SESSION['FirstName'])) {
	session_start();
}
if ($_SESSION['FirstName'] == "") {
	echo 'You are not authorized to view this page. <br><br>You may <a href="index.php"><font color="blue">log in here.</font></a>';
	exit;
	}
	//print_r($_SESSION);
	//echo "site: ". $_SERVER['HTTP_HOST'];


	$now   = new DateTime();
    $month = (int)$now->format("m");
	$year = (int)$now->format("Y");

	$email_enabled = 1;

//$API_KEY="d73b11b52ee85bdea171703c9d4183aa5c16f314";
?>
<script type="text/javascript" src="js/jscolor/jscolor.js"></script>
<!--<link rel="stylesheet" href="includes/tinyaccordion/style.css" type="text/css" />-->

<script type="text/javascript" src="../js/ddaccordion.js">
/***********************************************
* Accordion Content script- (c) Dynamic Drive DHTML code library (www.dynamicdrive.com)
* Visit http://www.dynamicDrive.com for hundreds of DHTML scripts
* This notice must stay intact for legal use
***********************************************/

</script>
<script type="text/javascript">
ddaccordion.init({
	headerclass: "expandable", //Shared CSS class name of headers group that are expandable
	contentclass: "categoryitems", //Shared CSS class name of contents group
	revealtype: "click", //Reveal content when user clicks or onmouseover the header? Valid value: "click", "clickgo", or "mouseover"
	mouseoverdelay: 200, //if revealtype="mouseover", set delay in milliseconds before header expands onMouseover
	collapseprev: true, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded: [0], //index of content(s) open by default [index1, index2, etc]. [] denotes no content
	onemustopen: false, //Specify whether at least one header should be open always (so never all headers closed)
	animatedefault: false, //Should contents open by default be animated into view?
	persiststate: true, //persist state of opened contents within browser session?
	toggleclass: ["", "openheader"], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml: ["prefix", "", ""], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed: "fast", //speed of animation: integer in milliseconds (ie: 200), or keywords "fast", "normal", or "slow"
	oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
		//do nothing
	},
	onopenclose:function(header, index, state, isuseractivated){ //custom code to run whenever a header is opened or closed
		//do nothing
	}
})

ddaccordion.init({ //2nd level headers initialization
	headerclass: "subexpandable", //Shared CSS class name of sub headers group that are expandable
	contentclass: "subcategoryitems", //Shared CSS class name of sub contents group
	revealtype: "click", //Reveal content when user clicks or onmouseover the header? Valid value: "click" or "mouseover
	mouseoverdelay: 200, //if revealtype="mouseover", set delay in milliseconds before header expands onMouseover
	collapseprev: true, //Collapse previous content (so only one open at any time)? true/false
	defaultexpanded: [], //index of content(s) open by default [index1, index2, etc]. [] denotes no content
	onemustopen: false, //Specify whether at least one header should be open always (so never all headers closed)
	animatedefault: false, //Should contents open by default be animated into view?
	persiststate: true, //persist state of opened contents within browser session?
	toggleclass: ["opensubheader", "closedsubheader"], //Two CSS classes to be applied to the header when it's collapsed and expanded, respectively ["class1", "class2"]
	togglehtml: ["none", "", ""], //Additional HTML added to the header when it's collapsed and expanded, respectively  ["position", "html1", "html2"] (see docs)
	animatespeed: "fast", //speed of animation: integer in milliseconds (ie: 200), or keywords "fast", "normal", or "slow"
	oninit:function(headers, expandedindices){ //custom code to run when headers have initalized
		//do nothing
	},
	onopenclose:function(header, index, state, isuseractivated){ //custom code to run whenever a header is opened or closed
		//do nothing
	}
})
</script>
<style type="text/css">

.arrowlistmenu{
width: 100%; /*width of accordion menu*/
padding:1.5%;
}

.arrowlistmenu .menuheader{ /*CSS class for menu headers in general (expanding or not!)*/
font:12px Verdana,Arial;width:95%; border:1px solid #467182; padding:7px;
	font-weight:bold; margin-top:5px; cursor:pointer;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    border-radius: 7px;
    border: solid 1px #e8e8e8;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.4), 0 1px 1px rgba(0, 0, 0, 0.2);
    -webkit-transition-duration: 0.2s;
    -moz-transition-duration: 0.2s;
    transition-duration: 0.2s;
    -webkit-user-select:none;
    -moz-user-select:none;
    -ms-user-select:none;
    user-select:none;
	color:#fff;
	background-color:#2077a1;
	padding-left:.5em;padding-right:.5em;
}

.arrowlistmenu .openheader{ /*CSS class to apply to expandable header when it's expanded*/
background-image: url(titlebar-active.png);
}

.arrowlistmenu ul{ /*CSS for UL of each sub menu*/
list-style-type: none;
margin: 0;
padding: 0;
margin-bottom: 0px; /*bottom spacing between each UL and rest of content*/
background: none;
}

.arrowlistmenu ul li{
padding-bottom: 0px; /*bottom spacing between menu items*/
}

.arrowlistmenu ul li .opensubheader{ /*Open state CSS for sub menu header*/
background: lightblue !important;
}

.arrowlistmenu ul li .closedsubheader{ /*Closed state CSS for sub menu header*/
background: lightgreen !important;
}

.arrowlistmenu ul li a{
color: #81BEF7;
background: url(arrowbullet.png) no-repeat center left; /*custom bullet list image*/
display: block;
padding: 0px 0;
padding-left: 19px; /*link text is indented 19px*/
text-decoration: none;
font-weight: bold;
border-bottom: 1px solid #dadada;
font-size: 90%;
}

.arrowlistmenu ul li a:visited{
color: #81BEF7;
}

.arrowlistmenu ul li a:hover{ /*hover state CSS*/
color: #FA5858;
background-color: #FA5858;
}

.arrowlistmenu ul li a.subexpandable:hover{ /*hover state CSS for sub menu header*/
background: lightblue;
}
html {
    overflow-y: scroll;
}

.popup_background {
	z-index: 4005; /* any number */
}
.popup_wrapper {
	z-index: 4006; /* any number + 1 */
}
.modal_close_button {
	position: absolute;
	top: 5px;
	right: 5px;
}
.popup_modal {
	display:none;
	background:white;padding:20px;
		border: 1px solid #777777;
     -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px;
	max-width:800px;
}
#preview_template_modal {
	max-width: 1000px;
}
form.add-saved-message {
    margin-left: 0;
}
.form-group {
    margin-bottom: 10px;
}
input[type="time"] {
	height: 12px;
}
</style>




<!--<link rel="stylesheet" type="text/css" href="css/cssverticalmenu.css" />-->
<!--<script type="text/javascript" src="js/jscolor/jscolor.js"></script>-->

<?php
//get email plan info
$qry="select email_plan, rocketblaster_id from admin_options";
	$rt=mysql_query($qry);
	while($data=mysql_fetch_array($rt)){
		$email_plan = $data[email_plan];
		$rocketblaster_id = $data['rocketblaster_id'];

	}

	//get totals for current period
	/*$qry="select * from email_blast_log where month(timestamp)='$month' AND year(timestamp)='$year'";
	$recipient_counter=0;
	$rt=mysql_query($qry);
	if(mysql_num_rows($rt)>0){
		$body3.="<table cellpadding=3 cellspacing=2><tr><td><u>Email message</u><td><u>Recipients</u>";
		while($data=mysql_fetch_array($rt)){
			//$recipient_list=array_count_values(array($data[recipient_ids]));
			$recipients = explode (",", $data[recipient_ids]);
			//print_r($recipients);
			$body3.= "<tr><td>".$data[email_body] . "<td><center>" . count($recipients)."</center>";
			$recipient_counter=$recipient_counter+count($recipients);
		}
		$body3.="</table>";

	}*/

$success_msg = "<center><font color='red'>email saved. <br>**NOTE: 
<br></center>";

$qry = "select count(email_address) as subscribers from email_subscribers";
$return=mysql_query($qry);
	while($data=mysql_fetch_array($return)){
		$total_subscribers = $data[subscribers];
	}

if(empty($email_plan) || (empty($rocketblaster_id))){
	echo "<center><font color='red'>Your email plan is not configured correctly. </font></center><br>";
}

$qry = "select count(email_address) as subscribers from email_subscribers where active='1'";
$return=mysql_query($qry);
	while($data=mysql_fetch_array($return)){
		echo "<center>You have ".$data[subscribers]." active email subscribers.";
		if($total_subscribers>0){echo"(".$total_subscribers." total)";}
		echo"</center><br>";
		if($email_plan=="500"){
			$plan="Email Starter 500";
		} elseif ($email_plan=="1000"){
			$plan="Email Pro 1000";
		} elseif ($email_plan=="1500"){
			$plan="Email Gold 1500";
		} elseif ($email_plan=="2500"){
			$plan="Email Platinum 2500";
		} else{
			$plan="Not selected";
		}
		echo"<center>Your plan: $plan</center><br>";
		//print_r($_SESSION);
	}
	if($plan!="Not selected"){



	echo"<center>Total emails sent this month: $recipient_counter <br>
	Remaining: ".($email_plan-$recipient_counter)."</center>";

	$email_plan = $email_plan-$recipient_counter; //store balance variable to keep from recalculating before every email

	//echo "current period: ".$month . " " .$year;

	//save message if selected
    if ($_POST['save_message']) {
        $template = isset($_POST['email_template']) ? trim($_POST['email_template']) : '';
        $subject = isset($_POST['email_subject']) ? trim($_POST['email_subject']) : '';
        $body = isset($_POST['message_body']) ? trim($_POST['message_body']) : '';

        if (!empty($template) && !empty($subject) && !empty($body)) {
            $sql = "
                INSERT INTO email_storage (
                    template_id,
                    email_subject,
                    email_body
                ) VALUES (
                    '" . mysql_real_escape_string($template) ."',
                    '" . mysql_real_escape_string($subject) ."',
                    '<p>" . mysql_real_escape_string($body) ."</p>'
                )";

            mysql_query($sql) or die(mysql_error());
        }
    }

	//send now if selected
	if ($_POST['send'] || $_POST['send_saved_message']) {
	    if ($_POST['send_saved_message']) {
	        $id = $_POST['email'];

            // Get saved email
            $sql = "SELECT * FROM email_storage WHERE recordkey = '" . mysql_real_escape_string($id) . "'";
            $result = mysql_query($sql) or die(mysql_error());

            if (mysql_num_rows($result) > 0) {
                $email = mysql_fetch_assoc($result);

                $template = $email['template_id'];
                $subject = $email['email_subject'];
                $msg = $email['email_body'];
            }

            if (isset($_POST['send_at']) && $_POST['send_at'] == 'later') {
            	$date = strtotime($_POST['date']);
				$time = strtotime($_POST['time']);

				$schedule = date('Y-m-d', $date);
				$schedule .= ' ';
				$schedule .= date('H:i:s', $time);
			}
        } else {
            $msg = "";	
            if(!empty($_POST['h1'])){
            	$msg .= "<h1>".$_POST['h1']."</h1>";
			}
			if(!empty($_POST['h2'])){
				$msg .= "<h2>".$_POST['h2']."</h2>";
			}
            $msg .= "<p>".$_POST['message_body']."</p>";
            $subject = mysql_real_escape_string($_POST['email_subject']);
            $template = $_POST['email_template'];
        }

		//$msg = nl2br($msg);
		$msg = preg_replace("/\r\n|\r|\n/",'<br/>',"$msg");

		$list = mysql_real_escape_string($_POST['subscriber_list']);
		//initiate template variables
		$background_color = "#FFFFFF";
		$main_background_color = "#FFFFFF";
		$header_image_url = "";
		$footer_image_url = "";
		$image_path = "http://".$_SERVER['HTTP_HOST']."/custom/images/email";

        //get template settings if template selected					
		if($template<>""){
			$qry = "select * from email_templates where template_name = '$template' and active='1' limit 1";
			$result = mysql_query($qry);
			if(mysql_num_rows($result)>0){
				while($data=mysql_fetch_array($result)){
					$background_color = $data['background_color'];
					$main_background_color = $data['main_background_color'];
					$header_image_url = $data['header_image_url'];
					$footer_image_url = $data['footer_image_url'];
					$header_link = $data['header_link'];
					$include_logo = $data['include_logo'];
					$include_address = $data['include_address'];										
				}
			}
		}
		//make sure url has http
		if(!empty($header_link) && !strstr($header_link, "http")){$header_link = "http://$header_link";}

		//get address and site url
		$sql = "select webURL, address1, city, state, zip from storePrefs";
		$result = mysql_query($sql);
		while($data = mysql_fetch_array($result)){
			$webURL = $data['webURL'];
			$address1 = $data['address1'];
			$city = $data['city'];
			$state = $data['state'];
			$zip = $data['zip'];
		}
		
		
		$htmlmsg = "<html><head><title>Rocketmailer.us</title></head><body bgcolor='$main_background_color'><center>";
		
		if($include_logo==1){
			$logo_url = $webURL."/custom/images/header-logo.png";
			if(!strstr($logo_url, "http")){$logo_url = "http://$logo_url";}
			if(!empty($header_link)){$htmlmsg .="<a href='$header_link'>";}	
			$htmlmsg .="<img src='$logo_url'>";
			if(!empty($header_link)){$htmlmsg .="</a>";}
		}
		$htmlmsg .="<table bgcolor='$background_color' width='800'>";
		

		if(isset($header_image_url) && $header_image_url<>""){
			$htmlmsg .="<tr><td>";
			if(!empty($header_link)){$htmlmsg .="<a href='$header_link'>";}
			$htmlmsg .="<img src='$image_path/$header_image_url'>";
			if(!empty($header_link)){$htmlmsg .="</a>";}
		}
		$htmlmsg .= "<tr><td><table cellpadding='15' width='100%'><tr><td>$msg</table>";

		if(isset($footer_image_url) && $footer_image_url<>""){
			$htmlmsg .="<tr><td><img src='$image_path/$footer_image_url'>";
		}
		if($include_address==1){
			if(!empty($address1) && !empty($city)){$separator1 = "&bull;";}else {$separator1 = "";}
			if(!empty($state) && !empty($city)){$separator2 = ",";}else {$separator2 = "";}
			$address ="<tr><td>$address1 $separator1 $city$separator2 $state $zip";
		}
		$htmlmsg .="</table>$address</body></html>";

		$website = $_SERVER['HTTP_HOST'];

		$unsubscribe = "<font size='1'>You are receiving this email because you are subscribed to communications from $website. If you no longer wish to receive these emails, you may <a href='http://";
		$unsubscribe.= $website."/indexs.php?unsubscribe=1&email=eeeee'>unsubscribe here</a>.</font>";

		$htmlmsg .="<br><center>$unsubscribe</center>";

		$msg = $htmlmsg;

		$unsubscribers = " (select email from unsubscribers)";
		//get subscribers from list selected
		switch($list){
			case "subscribers":
			$qry = "select distinct(email_address) as subscribers from email_subscribers where active='1' and email_address not in $unsubscribers";
			break;
			case "reviewers":
			$qry = "select distinct(email) as subscribers from reviews_store where email not in $unsubscribers";
			$qry2 = "select distinct(email) as subscribers from reviews_menu where email not in $unsubscribers";
			$qry3 = "select distinct(email) as subscribers from reviews_product where email not in $unsubscribers";
			break;
			case "customers":
			$qry = "select distinct(Email) as subscribers from guestLogin where active='1' and Email not in $unsubscribers";
			break;
			default:
			$qry = "select distinct(email) as subscribers from submissions where collection_form='$list' and email not in $unsubscribers";

		}
		//reset email string, then rebuild it from query
		$email_string = "";
		//echo $qry;
		$rcount = 0;
		$return=mysql_query($qry);
		while($data=mysql_fetch_array($return)){
			if(empty($email_string)){
				$email_string = $data['subscribers'];
			} else {
				$email_string.= ",".$data['subscribers'];
			}
			$rcount++;
		}
		if($qry2<>""){
			$return=mysql_query($qry2);
			while($data=mysql_fetch_array($return)){
				if(empty($email_string)){
					$email_string = $data['subscribers'];
				} else {
					$email_string.= ",".$data['subscribers'];
				}
			}
			$rcount++;
		}
		if($qry3<>""){
			$return=mysql_query($qry3);
			while($data=mysql_fetch_array($return)){
				if(empty($email_string)){
					$email_string = $data['subscribers'];
				} else {
					$email_string.= ",".$data['subscribers'];
				}
			}
			$rcount++;
		}

		//save blast to log table
		$qry= "insert into email_blast_log (body, recipient_list, recipient_count) values ('".mysql_real_escape_string($msg)."', '".mysql_real_escape_string($email_string)."', '$rcount')";
		//echo $qry;
		if(!mysql_query($qry)){echo mysql_error();}
		$insert_id = mysql_insert_id();
		$blast_id = $rocketblaster_id . "_".$insert_id;
		echo "blast id: $blast_id";

		$qry = "update email_blast_log set blast_id = '$blast_id' where recordkey='$insert_id'";
		if(!mysql_query($qry)){echo mysql_error();}
		if(empty($template)){
			$template = "none";
		}
		//save message to text file
		$file = 'temp/'.$blast_id_.'message_file.txt';
		$msg .= "~~~" . $subject;
		$msg .= "~~~" . $template;
		if (isset($schedule) && !empty($schedule)) {
			$msg .= "~~~" . $schedule;
		}
		//$msg = nl2br("$msg");

		//encode in utf8 format to ensure compliance
		$msg = utf8_encode($msg);

		file_put_contents($file, $msg);
		echo "<br>message file saved";

		$file = 'temp/'.$blast_id_.'subscriber_list.txt';
		$email_string = utf8_encode($email_string);

		file_put_contents($file, $email_string);
		echo "<br>subscriber file saved";


	    //now transfer files to email server via FTP
	    include("send_to_rocketmailer.php");
	    echo "<br>files sent to rocketmailer for queing";




	}
/*
	if(!empty($_REQUEST['sendstored'])){
		$qry="select * from email_storage where recordkey='".$_REQUEST['sendstored']."'";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$msg = $data['email_body'];
			$image_url = $data['image_url'];
		}


		//insert the message into the send log
		$qry= "insert into email_blast_log (email_body, image_url) values('$msg', '$image_url')";
		mysql_query($qry);
		//get ID for logged message, to update with recipients as they are sent
		$qry="select max(recordkey) as message_id from email_blast_log";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$message_id = $data[message_id];
		}



		$recipient_list = "";
		$msg_count=0;

		$qry = "select recordkey, email from email_subscribers where active='1'";
		$rt=mysql_query($qry);

		while($data=mysql_fetch_array($rt)){
			if($email_balance>0){

			} else {
				$sec2_notice_msg="<font color='red'>You have reached your monthly send limit.</font>";
				break;
			}
		}
		//add successful recipients to log for current email message
		$qry = "update email_blast_log set recipient_ids = '$recipient_list', recipient_count='$msg_count' where recordkey='$message_id'";
		mysql_query($qry);
		if(isset($sec2_notice_msg)){$sec2_notice_msg.="<font color='red'>Message successfully sent to $msg_count recipients.</font>";}

	}
*/
	if(!empty($_REQUEST['delstored'])){
		$qry="delete from email_storage where recordkey='".$_REQUEST['delstored']."'";
		mysql_query($qry);
	}
	if(isset($_REQUEST['a']) &&!isset($_POST['template_action'])){
		if($_REQUEST['a']=="delheaderimage" && isset($_REQUEST['key'])){
			$qry = "update email_templates set header_image_url = '' where recordkey='".$_REQUEST['key']."'";
			mysql_query($qry);
			$selected_template_id = $_REQUEST['key'];
			//can unlink here if needed to remove files...
		}
		if($_REQUEST['a']=="delfooterimage" && isset($_REQUEST['key'])){
			$qry = "update email_templates set footer_image_url = '' where recordkey='".$_REQUEST['key']."'";
			mysql_query($qry);
			$selected_template_id = $_REQUEST['key'];
			//can unlink here if needed to remove files...
		}
	}

	echo '<div id="single-admin-button5">
	<ul>
	<a href="index.php"><li>BACK TO HOME ADMIN</li></a>
	</ul>
	</div>';
	if($email_enabled =='1'){
		echo '<div class="arrowlistmenu">';
		##******************************************* BEGIN SECTION 1 *****************************************##
		echo'<h3 class="menuheader expandable">Quick Email Blast</h3>';
		echo'<ul class="categoryitems">';
		echo '<center><table width="90%"><tr><td>';
		if(isset($sec1_notice_msg)){echo '<center>'.$sec1_notice_msg.'</center>';}
		echo 'Send a quick email to a list of subscribers:
		<br><br><form action="" method="post">';
		echo'<div style="width:92px;display:inline-block;">Template:</div><select name="email_template"><option value="">-- none selected --</option>';
		$qry = "select * from email_templates where active = '1'";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			echo '<option value="'.$data['template_name'].'">'.$data['template_name'].'</option>';
		}
		echo '</select><br>';
		//get subscriber count
		$qry = "select count(*) as subscriber_count from email_subscribers where active = '1' and opted_in='1' and unsubscribed='0'";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$subscriber_count = "(".$data['subscriber_count'].")";
		}
		//get customer count
		$qry = "select count(*) as customer_count from guestLogin where active = '1' and subscribed='1'";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$customer_count = "(".$data['customer_count'].")";
		}
		//get reviewer count
		$qry = "select count(*) as menu_reviewers from reviews_menu where unsubscribed=0";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$menu_reviewers = $data['menu_reviewers'];
		}
		$qry = "select count(*) as store_reviewers from reviews_store where unsubscribed=0";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$store_reviewers = $data['store_reviewers'];
		}
		$reviewer_count = $menu_reviewers + $store_reviewers;
		$reviewer_count = "(". $reviewer_count . ")";
		echo'<div style="width:92px;display:inline-block;">Subscriber list:</div><select name="subscriber_list"><option value="">-- All --</option>';
		echo '<option value="customers">Customers '.$customer_count.'</option>';
		echo '<option value="subscribers">Subscribers '.$subscriber_count.'</option>';
		echo '<option value="reviewers">Reviewers '.$reviewer_count.'</option>';

		$qry = "SELECT DISTINCT collection_form AS email_group, COUNT( * ) AS total from submissions where collection_form<>'' GROUP BY email_group";
		$rt=mysql_query($qry);
		while($data=mysql_fetch_array($rt)){
			$email_group = $data['email_group'];
			$email_count = $data['total'];
			echo '<option value="'.$email_group.'">'.$email_group.' ('.$email_count.')</option>';
		}
		echo '</select>';
		echo'<br><br>Subject: <span style="font-size:.9em">(*Required. This will show as the subject of your email)</span><br>
		<input type="text" name="email_subject" size="60"><br>';
		echo'<br>H1 headline: <span style="font-size:.9em">(*Optional. This will show as a title before the body of your email)</span><br>
		<input type="text" name="h1" size="60"><br>';
		echo'<br>H2 headline: <span style="font-size:.9em">(*Optional. This will show as a subtitle before the body of your email)</span><br>
		<input type="text" name="h2" size="60"><br>';
		echo'<br><br>Message: (*Required)<br>
		<textarea name="message_body" cols=90 rows=8></textarea><br>';

		//echo'Enter image URL<font color="red">*</font>:<br><input type="text" name="image_url"><br>';
		echo'<input id="save-button" type="submit" name="send" value="Send Message Now">
		<input class="preview-email preview_template_modal_open" id="save-button" type="button" value="Preview Template">
		</form>
		<br><!--<font color="red">*</font><i>Adding a an image converts the text to an MMS message.</i>-->';
		echo'</table></center></ul>';
		##******************************************* END SECTION 1 *****************************************##

		##******************************************* BEGIN SECTION 2 *****************************************##
		echo '
        <h3 class="menuheader expandable">Stored Email Messages</h3>
		
		<ul class="categoryitems">
            <center>
                <table width="90%">
                    <tr>
                        <td>';
                            if (isset($sec2_notice_msg)) {
                                echo '<center>'.$sec2_notice_msg.'</center>';
                            }

                            $qry = "SELECT * FROM email_storage";

                            $emailResult = mysql_query($qry);

                            echo '

                            <h4>Send a Message</h4>
                            
                            <form id="send-a-message-form" action="" method="POST" style="margin: 0">
                                <div style="width:100px;display:inline-block;">Email:</div>
                                <select name="email">
                                    <option value="">-- none selected --</option>';
                                    while ($email = mysql_fetch_assoc($emailResult)) {
                                        echo '<option value="'. $email['recordkey'] .'">'. $email['email_subject'] .'</option>';
                                    }
                                echo '
                                </select>
                                <br>';

                                //get subscriber count
                                $qry = "select count(*) as subscriber_count from email_subscribers where active = '1' and opted_in='1' and unsubscribed='0'";
                                $rt=mysql_query($qry);
                                while($data=mysql_fetch_array($rt)){
                                    $subscriber_count = "(".$data['subscriber_count'].")";
                                }

                                //get customer count
                                $qry = "select count(*) as customer_count from guestLogin where active = '1' and subscribed='1'";
                                $rt=mysql_query($qry);
                                while($data=mysql_fetch_array($rt)){
                                    $customer_count = "(".$data['customer_count'].")";
                                }

                                //get reviewer count
                                $qry = "select count(*) as menu_reviewers from reviews_menu where unsubscribed=0";
                                $rt=mysql_query($qry);
                                while($data=mysql_fetch_array($rt)){
                                    $menu_reviewers = $data['menu_reviewers'];
                                }
                                $qry = "select count(*) as store_reviewers from reviews_store where unsubscribed=0";
                                $rt=mysql_query($qry);
                                while($data=mysql_fetch_array($rt)){
                                    $store_reviewers = $data['store_reviewers'];
                                }
                                $reviewer_count = $menu_reviewers + $store_reviewers;
                                $reviewer_count = "(". $reviewer_count . ")";

                                echo'<div style="width:104px;display:inline-block;">Subscriber list:</div><select name="subscriber_list"><option value="">-- All --</option>';
                                echo '<option value="customers">Customers '.$customer_count.'</option>';
                                echo '<option value="subscribers">Subscribers '.$subscriber_count.'</option>';
                                echo '<option value="reviewers">Reviewers '.$reviewer_count.'</option>';

                                $qry = "SELECT DISTINCT collection_form AS email_group, COUNT( * ) AS total from submissions where collection_form<>'' GROUP BY email_group";
                                $rt=mysql_query($qry);
                                while($data=mysql_fetch_array($rt)){
                                    $email_group = $data['email_group'];
                                    $email_count = $data['total'];
                                    echo '<option value="'.$email_group.'">'.$email_group.' ('.$email_count.')</option>';
                                }
                                echo '
                                </select>
                                
                                <br>
                                
                                <div style="width:100px;display:inline-block;">Send At:</div>
                                <label>
                                	<input type="radio" name="send_at" value="now" checked> Now
								</label>
								
                                <label>
                                	<input type="radio" name="send_at" value="later"> Later
								</label>
								
								<br>
								
								<div id="send-at-date" style="display: none;">
									<div style="width:100px;display:inline-block;">Date/Time:</div>
									<input class="datepicker" type="text" name="date" value="">
									<input type="time" name="time" value=""> <br><font color="red">**NOTE: All scheduled emails will be sent using CST (Central Standard Time)</font>
								</div>
							
								
                                
                                <input type="submit" name="send_saved_message" value="Send">
                            </form>
                            
                            <br>
                            <br>
                            
                            <h4>Stored Messages</h4>
                            
                            <table>
                                <tr>
                                    <th>Template</th>                                
                                    <th>Subject</th>                                
                                    <th>Body</th>                                
                                    <th></th>                                
                                </tr>';

                                //display existing messages
                                if(mysql_num_rows($emailResult)>0){
                                	mysql_data_seek($emailResult, 0);
								}

                                while($data = mysql_fetch_array($emailResult)) {
                                    echo '
                                    <tr><td colspan="4" height="1" bgcolor="gray"></td></tr>
                                    
                                    <tr>
                                        <td valign="top" width="10%">' . $data['template_id'] . '</td>
                                        <td valign="top" width="30%">' . $data['email_subject'] . '</td>
                                        <td valign="top" width="40%">' . (strlen($data['email_body']) <= 250 ? $data['email_body'] : (substr($data['email_body'], 0, 250) . '...')) . '</td>
                                        <td valign="top" width="20%" align="right">
                                            <a href="#" class="preview-saved-message preview_template_modal_open" data-id="' . $data['recordkey'] . '">Preview</a>
                                            &nbsp;
                                            <a href="?admin-page=' . $_GET['admin-page'] . '&delstored='.$data['recordkey'].'">Delete</a>
                                        </td>
                                    <tr>';
                                }

                                echo '
                                <tr><td colspan="4" height="1" bgcolor="gray"></td></tr>
                            </table>
                            
                            <br>
                            <br>';

                            //add new message
                            echo '<h4>Add New</h4>
                    
                            <form class="add-saved-message" action="" method="POST">
                                <div class="form-group">
                                    <div style="width:70px;display:inline-block;">Template:</div>
                                    <select name="email_template">
                                        <option value="">-- none selected --</option>';

                                        $qry = "select * from email_templates where active = '1'";

                                        $rt = mysql_query($qry);

                                        while($data = mysql_fetch_array($rt)) {
                                            echo '<option value="'.$data['template_name'].'">'.$data['template_name'].'</option>';
                                        }

                                    echo '
                                    </select>
                                </div>
                                
                                <div class="form-group">
                                    <div style="width:70px;display:inline-block;">Subject:</div>
                                    <input type="text" name="email_subject" size="60">
                                </div>
                                
                                <div class="form-group">
                                    Message:
                                    <br>
                                    <textarea name="message_body" cols="90" rows="8"></textarea>
                                </div>
                                
                                <input type="submit" name="save_message" value="Save Message">
                                <button class="preview_template_modal_open" id="add-saved-message-preview" type="button" name="preview">Preview Message</button>
                            </form>
                            
                            <br>
                        </td>
                    </tr>
                </table>
            </center>
        </ul>';

		##******************************************* END SECTION 2 *****************************************##

		##******************************************* BEGIN SECTION 3 *****************************************##
		echo'<h3 class="menuheader expandable">Email Templates</h3>
		<ul class="categoryitems"><center><table width="90%"><tr><td>';
		if(isset($sec3_notice_msg)){echo '<center>'.$sec3_notice_msg.'</center>';}



		if(isset($_POST['template_action']) && $_POST['template_action']>""){
				if($_POST['template_action']=="save_new"){
					$template_name = mysql_real_escape_string($_POST['template_name']);
					$query = "Insert into email_templates (template_name) values ('$template_name')";
					mysql_query($query);
					$selected_template = $template_name;
				}
				if($_POST['template_action']=="save_changes"){
					if($_POST['delete_template']>""){
						$query = "delete from email_templates where recordkey= '$_POST[recordkey]'";
						if(mysql_query($query)){
							//$deleted_template = 1;
						}
					} else {
						if (($_FILES["header_upload_box"]["type"] == "image/jpeg" || $_FILES["header_upload_box"]["type"] == "image/pjpeg" || $_FILES["header_upload_box"]["type"] == "image/gif" ||
						$_FILES["header_upload_box"]["type"]=="image/x-png" || $_FILES["header_upload_box"]["type"]== "image/png") && ($_FILES["header_upload_box"]["size"] < 4000000)){
						echo "header img selected...";
						include('email_header_image.php');
						}

						if (($_FILES["footer_upload_box"]["type"] == "image/jpeg" || $_FILES["footer_upload_box"]["type"] == "image/pjpeg" || $_FILES["footer_upload_box"]["type"] == "image/gif" ||
						$_FILES["footer_upload_box"]["type"]=="image/x-png" || $_FILES["footer_upload_box"]["type"]== "image/png") && ($_FILES["footer_upload_box"]["size"] < 4000000)){
						echo "header img selected...";
						include('email_footer_image.php');
						}

						$query = "update email_templates set ";
						$query.="background_color = '$_POST[background_color]'";
						$query.=", main_background_color = '$_POST[main_background_color]'";
						$query.=", template_name = '$_POST[template_name]'";
						//$query.=", footer_image_url = ''";
						$query .= ", include_logo = '" . (isset($_POST['include_logo']) ? 1 : 0) . "'";
						$query .= ", include_address = '" . (isset($_POST['include_address']) ? 1 : 0) . "'";
						$query .= ", header_link = '" . $_POST['header_link'] . "'";
						$query.=" where recordkey=$_POST[recordkey]";
						$selected_template_id = $_POST[recordkey];
						//echo $query;
						mysql_query($query);
					}
				}
		}

			//form for selecting template to edit
		    //$selected_template ="";
			echo '<form action="" method="post">';
			echo'Select a template: <select name="email_template"><option value="">-- none selected --</option>';
			$qry = "select * from email_templates where active = '1'";
			$rt=mysql_query($qry);
			while($data=mysql_fetch_array($rt)){
				echo '<option value="'.$data['template_name'].'">'.$data['template_name'].'</option>';
			}
			echo '</select>';
			echo ' <input id="save-button" type="submit" name="edit_template" value="Edit Template"> 
			<input id="save-button" type="submit" name="new_template" value="Add New Template"></form>';

		//print_r($_POST);
		if(!isset($selected_template_id)){$selected_template_id="";}
		if(((isset($_POST['edit_template']) || isset($_POST['save_template'])) && (isset($_POST['email_template'])>"" || isset($_POST['template_name']))) || ($selected_template_id<>"")){

			$selected_template = $_POST['email_template'];
			if(empty($selected_template) && $_POST['template_name']>""){
				$selected_template = $_POST['template_name'];
			}
			echo '<form enctype="multipart/form-data" action="" method="post">';
			if(isset($selected_template)){
				$sw = " template_name = '$selected_template'";
			} elseif(isset($selected_template_id)){
				$sw = " recordkey = $selected_template_id";
			}
			$qry = "select * from email_templates where $sw";
			$rt=mysql_query($qry);
			//echo $qry;

			//show details of selected template
			while($data=mysql_fetch_array($rt)){

				echo "<hr>Editing template: <span style='font-weight:bold;'>$data[template_name]</span><br>";
				echo 'Template name: <input type="text" name="template_name" size="30" value="'.$data[template_name].'"><br>';

				echo '<br />Header image: <br /><input name="header_upload_box" type="file" id="header_upload_box" size="40" />';
				if (!empty($data[header_image_url])) {
	            	echo '<span style="float:right;">Current header image:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><img src="../custom/images/email/' . $data[header_image_url] . '?' . time() . '" width=400>
	      			<br><a href="' . $_SERVER['PHP_SELF'] . '?admin-page='.$_GET['admin-page'].'&a=delheaderimage&key=' . $data[recordkey] . '"><font color="red">Remove header image</font></a></span>';
	        	}

				echo '<br />Footer image: <br /><input name="footer_upload_box" type="file" id="footer_upload_box" size="40" />';
				if (!empty($data[footer_image_url])) {
	            	echo '<span style="float:right;">Current footer image:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br><img src="../custom/images/email/' . $data[footer_image_url] . '?' . time() . '" width=400>
	      			<br><a href="' . $_SERVER['PHP_SELF'] . '?admin-page='.$_GET['admin-page'].'&a=delfooterimage&key=' . $data[recordkey] . '"><font color="red">Remove footer image</font></a></span>';
	        	}
				echo '<br /><br>Body background color: <input type="text" name="main_background_color" class="color" size="6" value="'.$data['main_background_color'].'"><br>';
				echo '<br /><br>Text background color: <input type="text" name="background_color" class="color" size="6" value="'.$data['background_color'].'"><br>';

				echo '<br>';
				echo '<label>';
				echo '<input type="checkbox" name="include_logo" value="1" ' . ($data['include_logo'] == 1 ? 'checked' : '') . '> Include logo at top';
				echo '</label>';

				echo '<br>';
				echo '<label>';
				echo '<input type="checkbox" name="include_address" value="1" ' . ($data['include_address'] == 1 ? 'checked' : '') . '> Include address in footer';
				echo '</label>';

				echo '<br>';
				echo '<br>';
				echo 'Header Link: ';
				echo '<input type="text" name="header_link" value="' . $data['header_link'] . '" size="30">';
				echo '<br>';

				echo '<br><input type="hidden" name="recordkey" value="' . $data[recordkey] . '"><input type="hidden" name="template_action" value="save_changes"><input id="save-button" type="submit" name="save_template" value="Save Changes">
				<input id="save-button" type="submit" name="delete_template" value="Delete Template">
				<input class="preview-template preview_template_modal_open" id="save-button" type="button" data-template-name="' . $data[template_name] . '" value="Preview Template"></form>';

			}


		} elseif (isset($_POST['new_template']) && $_POST['new_template']>""){
			echo "<br><hr><br>You are creating a new template. Enter a name and then 'Save Template' to begin customizing. <br>";
			$selected_template = "new";
			echo '<form enctype="multipart/form-data" action="" method="post">';
			echo 'Template name: <input type="text" name="template_name" size="30" value=""><br>';
			//echo 'Background color: <input type="text" name="background_color" class="color" size="30" value=""><br>';
			//echo 'Header image: <input name="header_upload_box" type="file" id="header_upload_box" size="40" /><br>';
			//echo 'Footer image: <input name="footer_upload_box" type="file" id="footer_upload_box" size="40" />';

			echo '<br><input type="hidden" name="template_action" value="save_new"><input id="save-button" type="submit" name="save_template" value="Save Template"></form>';

		} else {

		}



		echo'</table></center></ul>';

		##******************************************* END SECTION 3 *****************************************##

		echo '<div id="preview_template_modal" class="popup_modal">';
		echo '<a href="#" class="preview_template_modal_close modal_close_button"><img src="/images/x-15.png" width="15" height="15" /></a>';
		echo '<div id="template-preview-content">';
		echo '</div>';
		echo '</div>'; // end modal

		echo'</div>';
	} else {
		echo"<div>You aren't authorized to access this page. Please subscribe to Email Marketing services in order to view this page.</div>";
	}
} else {
	//$query = "select support_email from brand_master where brand =''";
	echo "To sign up for a email program, please <a href='mailto:'>email us</a> for plans and pricing.";
}
?>


<script type="text/javascript" src="includes/tinyaccordion/script.js"></script>

<script type="text/javascript">



//var parentAccordion=new TINY.accordion.slider("parentAccordion");
//parentAccordion.init("acc","h3",0);

//var nestedAccordion=new TINY.accordion.slider("nestedAccordion");
//nestedAccordion.init("nested","h3",1,-1,"acc-selected");
//nestedAccordion.init("nested","h3",1,-1,"acc-selected");

function previewEmail(templateName, content) {
	$.ajax({
		type: 'post',
		url: 'email_template_preview.php',
		data: {template: templateName, content: content}
	}).done(function(response) {
		$('#template-preview-content').html(response);
	});
}

function toggleSendAtDate() {
	if ($('input[name="send_at"]:checked').val() == 'now') {
		$('#send-at-date').hide();
	} else {
		$('#send-at-date').show();
	}
}

$(document).ready(function() {
	$('#preview_template_modal').popup();

	$('.preview-template').click(function() {
		var name = $(this).data('template-name');
		previewEmail(name);
	});

	$('.preview-email').click(function() {
		var name = $('select[name="email_template"]').val();
		var content = $('textarea[name="message_body"]').val();

		previewEmail(name, content);
	});

    $('#add-saved-message-preview').click(function() {
        var templateName = $('form.add-saved-message').find('select[name="email_template"]').val();
        var content = $('form.add-saved-message').find('textarea[name="message_body"]').val();

        previewEmail(templateName, content);
    });

    $('.preview-saved-message').click(function(e) {
        e.preventDefault();

        var id = $(this).data('id');

        $.ajax({
            type: 'post',
            url: 'email_campaign_ajax.php',
            data: {
                action: 'get_email',
                id: id
            },
            dataType: 'json'
        }).success(function(response) {
            if (response.hasOwnProperty('result') && response.result == '1') {
                previewEmail(response.email.template_id, response.email.email_body);
            } else {
                alert('Error retrieving saved email message.');
            }
        }).error(function(response) {
            alert('Error retrieving saved email message.');
        });
    });

	toggleSendAtDate();

	$('input[name="send_at"]').change(function() {
		toggleSendAtDate();
	});

	$('#send-a-message-form').submit(function(e) {
		if ($('#send-a-message-form').find('select[name="email"]').val().length < 1) {
			alert('Please select an email to send.');
			return false;
		}


	});

	$('.datepicker').datepicker();

	var parentAccordion=new TINY.accordion.slider("parentAccordion");
	parentAccordion.init("acc","h3",1,-1);

	var nestedAccordion=new TINY.accordion.slider("nestedAccordion");
	nestedAccordion.init("nested","h3",1,-1,"acc-selected");

	var nestedAccordion2=new TINY.accordion.slider("nestedAccordion2");
	nestedAccordion2.init("nested2","h3",1,-1,"acc-selected");
});
</script>
